## emacs-git-modes 1.2.6

=== Makefile ===
PREFIX  ?= /usr/local
LISPDIR ?= $(PREFIX)/share/emacs/site-lisp/git-modes

ELS  = git-modes.el
ELS += gitattributes-mode.el
ELS += gitconfig-mode.el
ELS += gitignore-mode.el
ELCS = $(ELS:.el=.elc)

LOADDEFS = git-modes-autoloads.el

EMACS_BIN ?= emacs
BATCH = @$(EMACS_BIN) --batch -Q

CP    ?= install -p -m 644
MKDIR ?= install -p -m 755 -d
RMDIR ?= rm -rf
SED   ?= sed

VERSION ?= $(shell test -e .git && git describe --tags --dirty 2> /dev/null)
ifeq "$(VERSION)" ""
  VERSION = 1.2.1
endif

.PHONY: install clean

lisp: $(ELCS) $(LOADDEFS)

install: lisp
	@printf "Installing...\n"
	@$(MKDIR) $(DESTDIR)$(LISPDIR)
	@$(CP) $(ELS) $(ELCS) $(DESTDIR)$(LISPDIR)

clean:
	@printf "Cleaning...\n"
	@$(RM) $(ELCS) $(LOADDEFS)

%.elc: %.el
	@printf "Compiling $<...\n"
	@$(BATCH) -L . -f batch-byte-compile $<

define LOADDEFS_TMPL
;;; $(LOADDEFS) --- automatically extracted autoloads
;;
;;; Code:
(add-to-list 'load-path (directory-file-name \
(or (file-name-directory #$$) (car load-path))))

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; End:
;;; $(LOADDEFS) ends here
endef
export LOADDEFS_TMPL
#'

$(LOADDEFS): $(ELS)
	@printf "Generating $@\n"
	@printf "%s" "$$LOADDEFS_TMPL" > $@
	@$(BATCH) --eval "(progn\
	(setq make-backup-files nil)\
	(setq vc-handled-backends nil)\
	(setq default-directory (file-truename default-directory))\
	(setq generated-autoload-file (expand-file-name \"$@\"))\
	(setq find-file-visit-truename t)\
	(update-directory-autoloads default-directory))"

## emacs-git-modes 1.2.4

=== debian/changelog ===
emacs-git-modes (1.2.4-1) unstable; urgency=medium

  * Initial release (Closes: #853080)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 29 Jan 2017 18:20:34 +0500

=== debian/control ===
Source: emacs-git-modes
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 3.9.8
Homepage: https://github.com/magit/git-modes
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-git-modes.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-git-modes.git

Package: elpa-git-modes
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs,
         elpa-gitattributes-mode (= ${binary:Version}),
         elpa-gitconfig-mode (= ${binary:Version}),
         elpa-gitignore-mode (= ${binary:Version})
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: major modes for editing Git configuration files
 This package provides several major modes for editing Git
 configuration files. The modes are:
 .
  * gitattributes-mode
  * gitconfig-mode
  * gitignore-mode
 .
 Each mode is defined in its own library by the same name. Loading
 `git-modes' causes all three libraries to be loaded, but you could
 also load the libraries individually.

Package: elpa-gitattributes-mode
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs
Recommends: emacs (>= 46.0),
            elpa-git-modes (= ${binary:Version})
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: major mode for editing Git configuration files (gitattributes)
 This package provides major mode for editing `.gitattributes',
 `.git/info/attributes', and `git/attributes' Git configuration files.

Package: elpa-gitconfig-mode
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs
Recommends: emacs (>= 46.0),
            elpa-git-modes (= ${binary:Version})
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: major mode for editing Git configuration files (gitconfig and gitmodules)
 This package provides major mode for editing `.gitconfig', `.git/config',
 `git/config', and `.gitmodules' Git configuration files.
 .
 `gitconfig-mode' derives from `conf-unix-mode'.

Package: elpa-gitignore-mode
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs
Recommends: emacs (>= 46.0),
            elpa-git-modes (= ${binary:Version})
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: major mode for editing Git configuration files (gitignore)
 This package provides major mode for editing `.gitignore',
 `.git/info/exclude', and `git/ignore' Git configuration files.
 .
 `gitignore-mode' derives from `conf-unix-mode'.

## emacs-git-modes 1.2.6

=== debian/changelog ===
emacs-git-modes (1.2.6-1) unstable; urgency=medium

  * New upstream version 1.2.6
  * Remove patch applied upstream
  * Refresh patch to reflect upstream version number
  * d/control: Bump Standards-Version to 4.1.0 (no changes needed)
  * d/control: Remove Built-Using fields
  * d/control: Remove emacs from dependencies

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 07 Sep 2017 20:50:43 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper (>= 10),
                dh-elpa
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/magit/git-modes
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-git-modes.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-git-modes.git
@@ -14,7 +14,6 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends},
-         emacs,
          elpa-gitattributes-mode (= ${binary:Version}),
          elpa-gitconfig-mode (= ${binary:Version}),
          elpa-gitignore-mode (= ${binary:Version})
@@ -22,7 +21,6 @@
 Enhances: emacs,
           emacs24,
           emacs25
-Built-Using: ${misc:Built-Using}
 Description: major modes for editing Git configuration files
  This package provides several major modes for editing Git
  configuration files. The modes are:
@@ -38,14 +36,12 @@
 Package: elpa-gitattributes-mode
 Architecture: all
 Depends: ${elpa:Depends},
-         ${misc:Depends},
-         emacs
+         ${misc:Depends}
 Recommends: emacs (>= 46.0),
             elpa-git-modes (= ${binary:Version})
 Enhances: emacs,
           emacs24,
           emacs25
-Built-Using: ${misc:Built-Using}
 Description: major mode for editing Git configuration files (gitattributes)
  This package provides major mode for editing `.gitattributes',
  `.git/info/attributes', and `git/attributes' Git configuration files.
@@ -53,14 +49,12 @@
 Package: elpa-gitconfig-mode
 Architecture: all
 Depends: ${elpa:Depends},
-         ${misc:Depends},
-         emacs
+         ${misc:Depends}
 Recommends: emacs (>= 46.0),
             elpa-git-modes (= ${binary:Version})
 Enhances: emacs,
           emacs24,
           emacs25
-Built-Using: ${misc:Built-Using}
 Description: major mode for editing Git configuration files (gitconfig and gitmodules)
  This package provides major mode for editing `.gitconfig', `.git/config',
  `git/config', and `.gitmodules' Git configuration files.
@@ -70,14 +64,12 @@
 Package: elpa-gitignore-mode
 Architecture: all
 Depends: ${elpa:Depends},
-         ${misc:Depends},
-         emacs
+         ${misc:Depends}
 Recommends: emacs (>= 46.0),
             elpa-git-modes (= ${binary:Version})
 Enhances: emacs,
           emacs24,
           emacs25
-Built-Using: ${misc:Built-Using}
 Description: major mode for editing Git configuration files (gitignore)
  This package provides major mode for editing `.gitignore',
  `.git/info/exclude', and `git/ignore' Git configuration files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skipping upstream build

.PHONY: override_dh_auto_build override_dh_elpa_test

## emacs-git-modes 1.2.8

=== debian/changelog ===
emacs-git-modes (1.2.8-3) unstable; urgency=medium

  * Team upload.
  * Regenerate source package with quilt patches  (Closes: #935712).

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 14:38:48 -0300

emacs-git-modes (1.2.8-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 09:09:06 -0300

emacs-git-modes (1.2.8-1) unstable; urgency=medium

  * New upstream version 1.2.8
  * d/control: Fix Vcs URLs
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/control: Declare Standards-Version 4.2.0 (no changes needed)
  * Refresh patch to add a correct version number

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 16 Aug 2018 17:11:10 +0500

emacs-git-modes (1.2.7-1) unstable; urgency=medium

  * New upstream version 1.2.7
  * Refresh version patch
  * Migrate to dh 11
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
  * d/control: Declare Standards-Version 4.1.3 (no changes needed)
  * d/control: Remove emacs24 from Enhances
  * d/rules: Clean rules
  * d/copyright: Add Source field to d/copyright
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 29 Mar 2018 13:06:58 +0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: emacs-git-modes
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-elpa
-Standards-Version: 4.1.0
+Standards-Version: 4.2.0
 Homepage: https://github.com/magit/git-modes
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-git-modes.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-git-modes.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-git-modes
+Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-git-modes.git
 
 Package: elpa-git-modes
 Architecture: all
@@ -19,7 +19,6 @@
          elpa-gitignore-mode (= ${binary:Version})
 Recommends: emacs (>= 46.0)
 Enhances: emacs,
-          emacs24,
           emacs25
 Description: major modes for editing Git configuration files
  This package provides several major modes for editing Git
@@ -40,7 +39,6 @@
 Recommends: emacs (>= 46.0),
             elpa-git-modes (= ${binary:Version})
 Enhances: emacs,
-          emacs24,
           emacs25
 Description: major mode for editing Git configuration files (gitattributes)
  This package provides major mode for editing `.gitattributes',
@@ -53,7 +51,6 @@
 Recommends: emacs (>= 46.0),
             elpa-git-modes (= ${binary:Version})
 Enhances: emacs,
-          emacs24,
           emacs25
 Description: major mode for editing Git configuration files (gitconfig and gitmodules)
  This package provides major mode for editing `.gitconfig', `.git/config',
@@ -68,7 +65,6 @@
 Recommends: emacs (>= 46.0),
             elpa-git-modes (= ${binary:Version})
 Enhances: emacs,
-          emacs24,
           emacs25
 Description: major mode for editing Git configuration files (gitignore)
  This package provides major mode for editing `.gitignore',

## emacs-git-modes 1.4.0

=== Makefile ===
-include .config.mk

PKG = git-modes

ELS   = $(PKG).el
ELS  += gitattributes-mode.el
ELS  += gitconfig-mode.el
ELS  += gitignore-mode.el
ELCS  = $(ELS:.el=.elc)

DEPS  =

EMACS      ?= emacs
EMACS_ARGS ?=

LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH  += -L .

PREFIX ?= /usr/local

all: lisp

help:
	$(info make all          - generate byte-code and autoloads)
	$(info make lisp         - generate byte-code and autoloads)
	$(info make clean        - remove generated files)
	$(info make install      - install in $(PREFIX))
	@printf "\n"

lisp: $(ELCS) loaddefs

loaddefs: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

CLEAN  = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf "Cleaning...\n"
	@rm -rf $(CLEAN)

define LOADDEFS_TMPL
;;; $(PKG)-autoloads.el --- automatically extracted autoloads
;;
;;; Code:
(add-to-list 'load-path (directory-file-name \
(or (file-name-directory #$$) (car load-path))))

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; End:
;;; $(PKG)-autoloads.el ends here
endef
export LOADDEFS_TMPL
#'

$(PKG)-autoloads.el: $(ELS)
	@printf "Generating $@\n"
	@printf "%s" "$$LOADDEFS_TMPL" > $@
	@$(EMACS) -Q --batch --eval "(progn\
	(setq make-backup-files nil)\
	(setq vc-handled-backends nil)\
	(setq default-directory (file-truename default-directory))\
	(setq generated-autoload-file (expand-file-name \"$@\"))\
	(setq find-file-visit-truename t)\
	(update-directory-autoloads default-directory))"

CP      ?= install -p -m 644
MKDIR   ?= install -p -m 755 -d
LISPDIR ?= $(PREFIX)/share/emacs/site-lisp/git-modes

.PHONY: install
install: lisp
	@printf "Installing...\n"
	@$(MKDIR) $(DESTDIR)$(LISPDIR)
	@$(CP) $(ELS) $(ELCS) $(DESTDIR)$(LISPDIR)

=== debian/changelog ===
emacs-git-modes (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Refresh patch to fix upstream version number
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 24 Nov 2021 14:56:59 +0500

emacs-git-modes (1.3.1-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Drop emacs25 from Enhances (package does not exist in bullseye).

  [ Lev Lamberov ]
  * New upstream version 1.3.1
  * Refresh patch to fix version number
  * Add upstream metadata
  * d/control: Add Rules-Requires-Root: no
  * d/control: Migrate to dh 13 without d/compat
  * d/control: Declare Standards-Version 4.6.0 (no changes needed)
  * d/copyright: Update copyright information
  * d/rules: Skip upstream auto install

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 18 Aug 2021 14:45:55 +0500

emacs-git-modes (1.2.8-4) unstable; urgency=medium

  * Team upload
  * Rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Tue, 26 Jan 2021 15:40:38 -0400

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.2.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/magit/git-modes
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-git-modes
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-git-modes.git
@@ -18,8 +19,7 @@
          elpa-gitconfig-mode (= ${binary:Version}),
          elpa-gitignore-mode (= ${binary:Version})
 Recommends: emacs (>= 46.0)
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: major modes for editing Git configuration files
  This package provides several major modes for editing Git
  configuration files. The modes are:
@@ -38,8 +38,7 @@
          ${misc:Depends}
 Recommends: emacs (>= 46.0),
             elpa-git-modes (= ${binary:Version})
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: major mode for editing Git configuration files (gitattributes)
  This package provides major mode for editing `.gitattributes',
  `.git/info/attributes', and `git/attributes' Git configuration files.
@@ -50,8 +49,7 @@
          ${misc:Depends}
 Recommends: emacs (>= 46.0),
             elpa-git-modes (= ${binary:Version})
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: major mode for editing Git configuration files (gitconfig and gitmodules)
  This package provides major mode for editing `.gitconfig', `.git/config',
  `git/config', and `.gitmodules' Git configuration files.
@@ -64,8 +62,7 @@
          ${misc:Depends}
 Recommends: emacs (>= 46.0),
             elpa-git-modes (= ${binary:Version})
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: major mode for editing Git configuration files (gitignore)
  This package provides major mode for editing `.gitignore',
  `.git/info/exclude', and `git/ignore' Git configuration files.

## emacs-git-modes 1.4.1

=== debian/changelog ===
emacs-git-modes (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * Install proper documentation
  * Update patch to fix version numbers
  * d/control: Build-Depend on elpa-compat
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)
  * d/control: Depend on elpa-compat
  * d/copyright: Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 18 Jun 2023 10:47:36 +0500

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-elpa
-Standards-Version: 4.6.0
+               dh-elpa,
+               elpa-compat
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/magit/git-modes
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-git-modes
@@ -35,7 +36,8 @@
 Package: elpa-gitattributes-mode
 Architecture: all
 Depends: ${elpa:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         elpa-compat
 Recommends: emacs (>= 46.0),
             elpa-git-modes (= ${binary:Version})
 Enhances: emacs
@@ -46,7 +48,8 @@
 Package: elpa-gitconfig-mode
 Architecture: all
 Depends: ${elpa:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         elpa-compat
 Recommends: emacs (>= 46.0),
             elpa-git-modes (= ${binary:Version})
 Enhances: emacs
@@ -59,7 +62,8 @@
 Package: elpa-gitignore-mode
 Architecture: all
 Depends: ${elpa:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         elpa-compat
 Recommends: emacs (>= 46.0),
             elpa-git-modes (= ${binary:Version})
 Enhances: emacs

## emacs-git-modes 1.4.2

=== Makefile ===
-include .config.mk

PKG = git-modes

ELS   = $(PKG).el
ELS  += gitattributes-mode.el
ELS  += gitconfig-mode.el
ELS  += gitignore-mode.el
ELCS  = $(ELS:.el=.elc)

DEPS  = compat

EMACS      ?= emacs
EMACS_ARGS ?=

LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH  += -L .

all: lisp

help:
	$(info make all          - generate byte-code and autoloads)
	$(info make lisp         - generate byte-code and autoloads)
	$(info make clean        - remove generated files)
	@printf "\n"

lisp: $(ELCS) loaddefs check-declare

loaddefs: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	--eval "(check-declare-directory default-directory)"

CLEAN  = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf " Cleaning...\n"
	@rm -rf $(CLEAN)

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch -l autoload -l cl-lib --eval "\
(let ((file (expand-file-name \"$@\"))\
      (autoload-timestamps nil) \
      (backup-inhibited t)\
      (version-control 'never)\
      (coding-system-for-write 'utf-8-emacs-unix))\
  (write-region (autoload-rubric file \"package\" nil) nil file nil 'silent)\
  (cl-letf (((symbol-function 'progress-reporter-do-update) (lambda (&rest _)))\
            ((symbol-function 'progress-reporter-done) (lambda (_))))\
    (let ((generated-autoload-file file))\
      (update-directory-autoloads default-directory))))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

=== debian/changelog ===
emacs-git-modes (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2
  * Refresh patch to fix version number
  * d/control: Clean Recommends

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 09 Dec 2023 14:53:42 +0500

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
          elpa-gitattributes-mode (= ${binary:Version}),
          elpa-gitconfig-mode (= ${binary:Version}),
          elpa-gitignore-mode (= ${binary:Version})
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: major modes for editing Git configuration files
  This package provides several major modes for editing Git
@@ -38,7 +38,7 @@
 Depends: ${elpa:Depends},
          ${misc:Depends},
          elpa-compat
-Recommends: emacs (>= 46.0),
+Recommends: emacs,
             elpa-git-modes (= ${binary:Version})
 Enhances: emacs
 Description: major mode for editing Git configuration files (gitattributes)
@@ -50,7 +50,7 @@
 Depends: ${elpa:Depends},
          ${misc:Depends},
          elpa-compat
-Recommends: emacs (>= 46.0),
+Recommends: emacs,
             elpa-git-modes (= ${binary:Version})
 Enhances: emacs
 Description: major mode for editing Git configuration files (gitconfig and gitmodules)
@@ -64,7 +64,7 @@
 Depends: ${elpa:Depends},
          ${misc:Depends},
          elpa-compat
-Recommends: emacs (>= 46.0),
+Recommends: emacs,
             elpa-git-modes (= ${binary:Version})
 Enhances: emacs
 Description: major mode for editing Git configuration files (gitignore)

## emacs-git-modes 1.4.4

=== debian/changelog ===
emacs-git-modes (1.4.4-1) unstable; urgency=medium

  * New upstream version 1.4.4
  * Refresh patch to fix version numbers

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 13 Aug 2024 11:32:46 +0500

emacs-git-modes (1.4.3-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:25:34 +0900

emacs-git-modes (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3
  * Refresh patch to fix version number
  * d/control: Declare Standards-Version 4.7.0 (no changes needed)
  * d/copyright: Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 12 Jul 2024 12:56:51 +0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-compat
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/magit/git-modes
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-git-modes

## emacs-git-modes 1.4.5

=== debian/changelog ===
emacs-git-modes (1.4.5-1) unstable; urgency=medium

  * New upstream version 1.4.5
  * Add patch to clean upstream documentation
  * Update patch to fix upstream version number
  * d/control: Declare Standards-Version 4.7.2 (no changes needed)
  * d/copyright: Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 23 Aug 2025 11:38:09 +0500

## emacs-git-modes 1.4.6

=== Makefile ===
--- 
+++ 
@@ -21,8 +21,11 @@
 help:
 	$(info make all          - generate byte-code and autoloads)
 	$(info make lisp         - generate byte-code and autoloads)
+	$(info make redo         - re-generate byte-code and autoloads)
 	$(info make clean        - remove generated files)
 	@printf "\n"
+
+redo: clean lisp
 
 lisp: $(ELCS) loaddefs check-declare

=== debian/changelog ===
emacs-git-modes (1.4.6-1) unstable; urgency=medium

  * New upstream version 1.4.6
  * Update patch to fix version number

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 16 Sep 2025 11:31:06 +0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-compat
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/magit/git-modes
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-git-modes

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skipping upstream build

override_dh_auto_install:
	@echo skipping upstream install

.PHONY: override_dh_auto_build override_dh_auto_install

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%emacs-git-modes-$1.tar.gz%" \
             https://github.com/magit/git-modes/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## emacs-git-modes 1.4.8

=== Makefile ===
-include .config.mk

PKG = git-modes

ELS   = $(PKG).el
ELS  += gitattributes-mode.el
ELS  += gitconfig-mode.el
ELS  += gitignore-mode.el
ELCS  = $(ELS:.el=.elc)

DEPS  = compat

LOAD_PATH ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH += -L .

EMACS       ?= emacs
EMACS_ARGS  ?=
EMACS_Q_ARG ?= -Q
EMACS_BATCH ?= $(EMACS) $(EMACS_Q_ARG) --batch $(EMACS_ARGS) $(LOAD_PATH)

all: lisp

help:
	$(info make all        -- Build lisp)
	$(info make lisp       -- Build lisp)
	$(info make redo       -- Build lisp from scratch)
	$(info make clean      -- Remove built files)
	@printf "\n"

redo: clean lisp

lisp: $(ELCS) autoloads check-declare

autoloads: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS_BATCH) --funcall batch-byte-compile $<

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS_BATCH) --eval "(check-declare-directory default-directory)"

CLEAN = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf " Cleaning...\n"
	@rm -rf $(CLEAN)

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS_BATCH) --load autoload --eval "\
(let* ((file (expand-file-name \"$@\"))\
       (generated-autoload-file file)\
       (coding-system-for-write 'utf-8-emacs-unix)\
       (backup-inhibited t)\
       (version-control 'never)\
       (inhibit-message t))\
  (write-region (autoload-rubric file \"package\" t) nil file)\
  (update-directory-autoloads default-directory))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

=== debian/changelog ===
emacs-git-modes (1.4.8-1) unstable; urgency=medium

  * New upstream version 1.4.8
  * Update patch to fix version number
  * d/control: Declare Standards-Version 4.7.3 (no changes needed)
  * d/control: Drop Priority field
  * d/control: Drop Rules-Requires-Root: no
  * d/copyright: Update copyright years
  * d/watch: Migrate to version 5

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 03 Jan 2026 10:57:59 +0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: emacs-git-modes
 Section: lisp
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-compat
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/magit/git-modes
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-git-modes
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-git-modes.git

=== debian/watch ===
Version: 5

Template: GitHub
Owner: magit
Project: git-modes
Filename-Mangle: auto
